# eric4.Helpviewer.BookmarkDialog

Module implementing the bookmark dialog of the helpviewer.

### Classes

BookmarkDialog | Class implementing the bookmark dialog of the helpviewer.

### Functions

None

## BookmarkDialog

Class implementing the bookmark dialog of the helpviewer.

This dialog is used to edit and delete individual bookmarks. They can be rearranged and their contents can be edited.

### Derived from

QDialog, Ui_BookmarkDialog

### Methods

BookmarkDialog | Constructor
__populateBookmarkList | Private function to set up the contents of the listview.
__resizeColumns | Private method to resize the list columns.
accept | Private slot called if the Ok button is pressed.
on_bookmarkList_currentItemChanged | Private slot called, when the current item changes.
on_deleteButton_clicked | Private slot called to delete a listview item.
on_downButton_clicked | Private slot called to move the selected item down in the list.
on_editButton_toggled | Private slot to switch the edit mode.
on_upButton_clicked | Private slot called to move the selected item up in the list.
show | Public slot called to display this dialog.

#### BookmarkDialog (Constructor)

BookmarkDialog(parent, name=QString(), fl = Qt.WindowFlags(Qt.Widget))

Constructor

parent
  the parent widget of this dialog (QWidget) This is usually the helpviewer main window.
name
  the name of this dialog (string or QString)
fl
  window flags for this dialog

#### BookmarkDialog.__populateBookmarkList

__populateBookmarkList()

Private function to set up the contents of the listview.

#### BookmarkDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### BookmarkDialog.accept

accept()

Private slot called if the Ok button is pressed.

It updates the bookmarks list and writes it to the bookmarks file.

#### BookmarkDialog.on_bookmarkList_currentItemChanged

on_bookmarkList_currentItemChanged(current, previous)

Private slot called, when the current item changes.

current
  reference to the new current item (QTreeWidgetItem)
previous
  reference to the previous current item (QTreeWidgetItem) (ignored)

#### BookmarkDialog.on_deleteButton_clicked

on_deleteButton_clicked()

Private slot called to delete a listview item.

#### BookmarkDialog.on_downButton_clicked

on_downButton_clicked()

Private slot called to move the selected item down in the list.

#### BookmarkDialog.on_editButton_toggled

on_editButton_toggled(checked)

Private slot to switch the edit mode.

checked
  flag indicating the button state (boolean)

#### BookmarkDialog.on_upButton_clicked

on_upButton_clicked()

Private slot called to move the selected item up in the list.

#### BookmarkDialog.show

show()

Public slot called to display this dialog.

Up